import request from '@/utils/request'
import Qs from 'qs';

//获取健康数据
export function getHeathData() {
	return request({
		url: '/mobile/watchApi/getWatchNewData',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//获取预警设置
export function getWarningConfig() {
	return request({
		url: '/mobile/watchApi/getWarning',
		data: Qs.stringify({}),
		method: 'post',
	})
}

//设置预警设置
export function setWarningConfig(params) {
	return request({
		url: '/mobile/watchApi/setWarning',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取健康曲线
export function getChartList(params) {
	return request({
		url: '/mobile/watchApi/getCurveData',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取定位轨迹列表
export function getLbsList(params) {
	return request({
		url: '/mobile/watchApi/getLbsData',
		data: Qs.stringify(params),
		method: 'post',
	})
}
